use std::sync::Arc;

use axum::{extract::State, routing::get, Json, Router};
use sqlx::{types::Uuid, Pool, Postgres};

use crate::model::Chat;

// TODO: /stat/* should require authentication
pub fn router(pool: Pool<Postgres>) -> Router {
    Router::new().route("/chats", get(chats)).with_state(pool)
}

async fn chats(State(pool): State<Pool<Postgres>>) -> Json<Vec<Chat>> {
    let r = sqlx::query_as!(Chat, "select * from chats;")
        .fetch_all(&pool)
        .await
        .unwrap();

    Json(r)
}
